<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <style>
    .confetti {
      position: absolute;
      top: 0;
      left: 0;
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
      height: 96px;
      overflow: hidden;
      pointer-events: none;
    }

    .confetti-piece {
      position: absolute;
      width: 6px;
      height: 10px;
      background: #fbba23;
      top: -10px;
      opacity: 0;
    }

    .confetti-piece:nth-child(1) {
      left: 7%;
      transform: rotate(-59deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 272ms;
      animation-duration: 538ms;
    }

    .confetti-piece:nth-child(2) {
      left: 14%;
      transform: rotate(138deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 25ms;
      animation-duration: 366ms;
    }

    .confetti-piece:nth-child(3) {
      left: 21%;
      transform: rotate(-91deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 150ms;
      animation-duration: 623ms;
    }

    .confetti-piece:nth-child(4) {
      left: 28%;
      transform: rotate(111deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 48ms;
      animation-duration: 536ms;
    }

    .confetti-piece:nth-child(5) {
      left: 35%;
      transform: rotate(-143deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 186ms;
      animation-duration: 475ms;
    }

    .confetti-piece:nth-child(6) {
      left: 42%;
      transform: rotate(-100deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 38ms;
      animation-duration: 467ms;
    }

    .confetti-piece:nth-child(7) {
      left: 49%;
      transform: rotate(-112deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 92ms;
      animation-duration: 621ms;
    }

    .confetti-piece:nth-child(8) {
      left: 56%;
      transform: rotate(-17deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 329ms;
      animation-duration: 610ms;
    }

    .confetti-piece:nth-child(9) {
      left: 63%;
      transform: rotate(71deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 167ms;
      animation-duration: 676ms;
    }

    .confetti-piece:nth-child(10) {
      left: 70%;
      transform: rotate(-158deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 68ms;
      animation-duration: 698ms;
    }

    .confetti-piece:nth-child(11) {
      left: 77%;
      transform: rotate(-68deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 40ms;
      animation-duration: 536ms;
    }

    .confetti-piece:nth-child(12) {
      left: 84%;
      transform: rotate(122deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 347ms;
      animation-duration: 568ms;
    }

    .confetti-piece:nth-child(13) {
      left: 91%;
      transform: rotate(22deg);
      animation: makeItRain 700ms infinite ease-out;
      animation-delay: 57ms;
      animation-duration: 426ms;
    }

    .confetti-piece:nth-child(odd) {
      background: #65bb5c;
    }

    .confetti-piece:nth-child(even) {
      z-index: 1;
    }

    .confetti-piece:nth-child(4n) {
      width: 5px;
      height: 13px;
      animation-duration: 1400ms;
      background: #f23b14;
    }

    .confetti-piece:nth-child(3n) {
      width: 5px;
      height: 13px;
      animation-duration: 1750ms;
      animation-delay: 700ms;
    }

    .confetti-piece:nth-child(4n-7) {
      background: #2a2f6a;
    }

    @keyframes makeItRain {
      from {
        opacity: 0;
      }

      20% {
        opacity: 1;
      }

      to {
        transform: translateY(96px);
      }
    }
  </style>
  <body>
    <aside
      class="s-modal ps-absolute bbr-sm z-base"
      id="modal-base"
      aria-hidden="false"
    >
      <div class="s-modal--dialog ps-relative" role="document">
        <div class="confetti">
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
          <div class="confetti-piece"></div>
        </div>
        <h1 class="s-modal--header" id="modal-title">You’re published!</h1>
        <p class="s-modal--body" id="modal-description">
          Nullam ornare lectus vitae lacus sagittis, at sodales leo viverra.
          Suspendisse nec nulla dignissim elit varius tempus. Cras viverra neque
          at imperdiet vehicula. Curabitur condimentum id dolor vitae ultrices.
          Pellentesque scelerisque nunc sit amet leo fringilla bibendum. Etiam
          feugiat imperdiet mi, eu blandit arcu cursus a.
        </p>
        <div class="grid gs8 gsx s-modal--footer">
          <button class="grid--cell s-btn s-btn__primary" type="button">
            Save changes
          </button>
          <button class="grid--cell s-btn" type="button">Cancel</button>
        </div>
        <button class="s-modal--close s-btn s-btn__muted" aria-label="Close">
          <svg
            aria-hidden="true"
            class="svg-icon iconClearSm"
            width="14"
            height="14"
            viewBox="0 0 14 14"
          >
            <path
              d="M12 3.41L10.59 2 7 5.59 3.41 2 2 3.41 5.59 7 2 10.59 3.41 12 7 8.41 10.59 12 12 10.59 8.41 7 12 3.41z"
            ></path>
          </svg>
        </button>
      </div>
    </aside>
    <button
      class="s-btn s-btn__muted s-btn__filled ps-fixed r12 t12"
      onclick="document.getElementsByTagName('body')[0].classList.toggle('theme-dark');"
    >
      Toggle dark mode
    </button>
  </body>
</html>
